net.sf.jasperreports.components.map

## Class MapCompiler

- java.lang.Object
- - net.sf.jasperreports.components.map.MapCompiler

- All Implemented Interfaces:
    ComponentCompiler

      public class MapCompiler
      extends java.lang.Object
      implements ComponentCompiler

  Version:
    $Id: MapCompiler.java 6927 2014-02-25 15:21:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapCompiler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectExpressions(Component component, JRExpressionCollector collector)` Collects report expressions from a component.
    `static void` | `collectExpressions(ItemData data, JRExpressionCollector collector)`
    `static void` | `collectExpressions(MarkerDataset dataset, JRExpressionCollector collector)` Deprecated. Replaced by `collectExpressions(ItemData, JRExpressionCollector)`.
    `Component` | `toCompiledComponent(Component component, JRBaseObjectFactory baseFactory)` Provides a "compiled" component instance that will be included in the compiled report.
    `void` | `verify(Component component, JRVerifier verifier)` Logically verifies a component.
    `protected void` | `verifyItem(JRVerifier verifier, Item item, java.lang.String itemName, java.lang.String[] requiredNames, java.util.Map<java.lang.String,java.lang.String> alternativeNamesMap)` Verifies if required properties or their alternatives are present in the item properties list.
    `protected void` | `verifyItemData(JRVerifier verifier, ItemData itemData, java.lang.String itemName, java.lang.String[] requiredNames, java.util.Map<java.lang.String,java.lang.String> alternativeNamesMap)`
    `protected void` | `verifyMarker(JRVerifier verifier, Item item)`
    `protected void` | `verifyMarkerData(JRVerifier verifier, ItemData itemData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapCompiler

          public MapCompiler()

  - ### Method Detail

    - #### collectExpressions

          public void collectExpressions(Component component,
                                JRExpressionCollector collector)

      Description copied from interface: `ComponentCompiler`
      Collects report expressions from a component.
      Specified by:
        `collectExpressions` in interface `ComponentCompiler`
      Parameters:
        `component` - the component
        `collector` - the expression collector

    - #### collectExpressions

          public static void collectExpressions(ItemData data,
                                JRExpressionCollector collector)

    - #### collectExpressions

          public static void collectExpressions(MarkerDataset dataset,
                                JRExpressionCollector collector)

      Deprecated. Replaced by `collectExpressions(ItemData, JRExpressionCollector)`.

    - #### toCompiledComponent

          public Component toCompiledComponent(Component component,
                                      JRBaseObjectFactory baseFactory)

      Description copied from interface: `ComponentCompiler`
      Provides a "compiled" component instance that will be included in the compiled report.
      Specified by:
        `toCompiledComponent` in interface `ComponentCompiler`
      Parameters:
        `component` - the component from the design report
        `baseFactory` - the factory of base/compiled report elements
      Returns:
        a component instance that is to be included in the compiled report

    - #### verify

          public void verify(Component component,
                    JRVerifier verifier)

      Description copied from interface: `ComponentCompiler`
      Logically verifies a component.
      Specified by:
        `verify` in interface `ComponentCompiler`
      Parameters:
        `component` - the component
        `verifier` - the verifier object, which can be used to raise validation errors
      See Also:
        `JRVerifier.getCurrentComponentElement()`

    - #### verifyMarkerData

          protected void verifyMarkerData(JRVerifier verifier,
                              ItemData itemData)

    - #### verifyMarker

          protected void verifyMarker(JRVerifier verifier,
                          Item item)

    - #### verifyItemData

          protected void verifyItemData(JRVerifier verifier,
                            ItemData itemData,
                            java.lang.String itemName,
                            java.lang.String[] requiredNames,
                            java.util.Map<java.lang.String,java.lang.String> alternativeNamesMap)

    - #### verifyItem

          protected void verifyItem(JRVerifier verifier,
                        Item item,
                        java.lang.String itemName,
                        java.lang.String[] requiredNames,
                        java.util.Map<java.lang.String,java.lang.String> alternativeNamesMap)

      Verifies if required properties or their alternatives are present in the item properties list. Alternative property names are read from the `alternativeNamesMap` parameter.
      For instance, a required latitude property can be provided either directly, using the `latitude` item property, or by processing the alternative `address` property. If at least one of the `latitude` or `address` properties are present in the item properties list, the latitude requirement is fulfilled.
      Parameters:
        `verifier` -
        `item` -
        `itemName` -
        `requiredNames` -
        `alternativeNamesMap` -

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com